var device = IR.GetDevice("MQTT"); // драйвер в проекте
var button = IR.GetPage("Page 1").GetItem("Item 1"); // кнопка в проекте
var channel = "Command_1"; // имя канала
var count = 0; // счётчик

var set_command = function()
{
if (count == 0)
{
device.Set(channel, "On");
count = 1;
button.State = 1;
return;
}
if (count == 1)
{
device.Set(channel, "Off");
count = 0;
button.State = 0;
return;
}
}

var get_feedback = function(name, value)
{
if (name == channel)
{
switch (value)
{
case "Off":
count = 0;
button.State = 0;
IR.Log("value = " + value);
break;
case "On":
count = 1;
button.State = 1;
IR.Log("value = " + value);
break;

default:
device.Set(channel, "Off");
IR.Log(value + " - недопустимое значение, переключение в Off");

}
}            
}

IR.AddListener(IR.EVENT_ONLINE, device, function() // кнопка работает, только если устройство доступно
{
IR.Log("device online");
IR.AddListener(IR.EVENT_ITEM_RELEASE, button, set_command); // добавляем слушатель на отпускание кнопки
IR.AddListener(IR.EVENT_TAG_CHANGE, device, get_feedback); // добавляем слушатель на отслеживание новых значений в фидбэках
});

IR.AddListener(IR.EVENT_OFFLINE, device, function() // нет связи с устройством
{
IR.Log("device offline");
IR.RemoveListener(IR.EVENT_ITEM_RELEASE, button, set_command); // устройство отвалилось, удаляем слушатели
IR.RemoveListener(IR.EVENT_TAG_CHANGE, device, get_feedback);
count = 0; // обнуляем счётчик
button.State = 0; // устанавливаем нулевое состояние кнопке
});
